# Why GPU Cloth Physics? 
<table> <tr> <td style="width: 70%;"> In traditional Unity setups, Cloth physics runs solely on the CPU, along with all other processes. This often leads to significant performance bottlenecks. So, what's the solution? Utilizing the power of the GPU! While this doesn't mean that calculations are entirely offloaded to the GPU, the process leverages both the CPU and GPU for optimal performance. The GPU Cloth Physics tool aims to maximize quality while optimizing performance. For detailed information, please visit the Inspector page, where every aspect of the tool is described. Below is the index map of this Wiki. </td> <td style="width: 30px;"width="300"> <a href="https://i.imgur.com/NlhPyzY.png"><img src="https://i.imgur.com/NlhPyzY.png" alt="GPU Cloth Physics"></a> </td> </tr> </table>

# What is so special about this??
<table> <tr> <td width="200"><a href="https://i.imgur.com/nf98QHD.png"><img src="https://i.imgur.com/nf98QHD.png" alt="Optimized Collision"></a> </td> <td> OPTIMIZATION! While trying to push as much as possible to the GPU, that is not where it stops! A part of the process is the details. Creating a weight map creates a sub mesh which is a cutout of the part of the mesh which has physics, reducing the amount of information needing computed. </td> </tr> </table>

# This looks Complicated..
<table> <tr> <td> I see you noticed! This is because it is. If simple is the goal then you would have never went looking for a different option outside the default Unity Cloth Component. Luckily for you, there is a [[a href="http://gpuclothphysics.wikidot.com/forum/c-8044663/open-topic"]]forum[[/a]] here which I personally maintain, and I will walk you thru anything you need. After doing this a few times and getting familiar with it, then it is pretty easy. It just takes time and practice. In the end, your game players will thank you! </td> <td width="200"> <a href="https://i.imgur.com/45odzWF.png">><img src="https://i.imgur.com/45odzWF.png" alt="Weightmap Design"></a> </td> </tr> </table>


------

#  Table of Contents

##  Components:

+ [BoxColliderHelper](https://schaken-hub.com/Schaken/GPU_Cloth_Physics/wiki/BoxColliderHelper)
+ [CapsuleColliderHelper](https://schaken-hub.com/Schaken/GPU_Cloth_Physics/wiki/CapsuleColliderHelper)
+ [GPUClothSimulator](https://schaken-hub.com/Schaken/GPU_Cloth_Physics/wiki/GPUClothSimulator) (Main component)
+ MeshColliderHelper (Not working yet)
+ [PlaneCollider](https://schaken-hub.com/Schaken/GPU_Cloth_Physics/wiki/PlaneCollider)
+ [SphereColliderHelper](https://schaken-hub.com/Schaken/GPU_Cloth_Physics/wiki/SphereColliderHelper)
+ [SphereColliderPair](https://schaken-hub.com/Schaken/GPU_Cloth_Physics/wiki/SphereColliderPair)

##  Tutorials:
+ [[a href="https://google.com"]]Setting up your first GPU Cloth Physics[[/a]]
+ [[a href="https://google.com"]]Applying GPU Colliders[[/a]]
+ [[a href="https://google.com"]]Making Weightmaps in Blender and/or Gimp[[/a]]

## Other:
+ [[a href="http://gpuclothphysics.wikidot.com/forum/c-8044663/open-topic"]]Forum[[/a]]
+ [[a href="http://Schaken-Mods.chat"]]Discord[[/a]]
+ [[a href="https://AssetStore.nexus"]]My Store[[/a]]
+ Road Map (Things to do!)